searchNodes=[{"doc":"Provides functions to convert svg to png using resvg. Common options The supported options are: :width - Set the width in pixels. :height - Set the height in pixels. :zoom - Zoom image by a factor, Example: 2.0 . :dpi - Sets the resolution, default to 96 . :background - Sets the background color, accept CSS3 color Example: red , #fff , #fff000 . :languages - Sets a list of languages that will be used during the systemLanguage attribute resolving, Example: [&quot;en-US&quot;, &quot;fr-FR&quot;] , default to [&quot;en&quot;] . :shape_rendering - Selects the default shape rendering method default to :geometric_precision . :text_rendering - Selects the default text rendering method default to :optimize_legibility . :image_rendering - Selects the default image rendering method default to :optimize_quality . :resources_dir - Sets a directory that will be used during relative paths resolving. This field is mandatory for all functions except svg_to_png/3 because it default to the svg_input path. :font_family - Sets the default font family that will be used when no font-family is present, default to Times New Roman . :font_size - Sets the default font size that will be used when no font-size is present, default to 12 . :serif_family - Sets the serif font family, default to Time New Roman . :sans_serif_family - Sets the sans-serif font family, default to Arial . :cursive_family - Sets the cursive font family, default to Comic Sans MS . :fantasy_family - Sets the fantasy font family, default to Impact . :monospace_family - Sets the monoscape font family, default to Courier New . :font_files - Load specified font files into the fonts database. :font_dirs - Load all fonts from the specified directory into the fonts database. :skip_system_fonts - Disable systems fonts loading. You should add some some fonts with :font_files or :font_dirs otherwise, text elements will not be processed.","ref":"Resvg.html","title":"Resvg","type":"module"},{"doc":"List successfully loaded font faces. Useful for debugging. opts refer to options must at least set the resources_dir key to a valid path. The functions return {:ok, fonts_list} in case of success. Otherise, it returns {:error, reason} if an error occurs. Examples Resvg . list_fonts ( resources_dir : &quot;/tmp&quot; ) #=&gt; {:ok, [&quot;/usr/share/fonts/truetype/dejavu/DejaVuSansMono-BoldOblique.ttf..&quot;, ...]}","ref":"Resvg.html#list_fonts/1","title":"Resvg.list_fonts/1","type":"function"},{"doc":"Try to convert svg_string to out_png . svg_string must be a valid svg file. out_png must be a path to a non-existent file. opts refer to options must at least set the resources_dir key to a valid path. The functions return :ok in case of success. Otherise, it returns {:error, reason} if an error occurs. Examples svg_string = &quot; &lt;svg xmlns=&quot; http :// www . w3 . org / 2000 / svg &quot; viewBox=&quot; 0 0 20 20 &quot;&gt; &lt;rect width=&quot; 100 &quot; height=&quot; 100 &quot; /&gt; &lt;/svg&gt;&quot; Resvg . svg_string_to_png ( svg_string , &quot;output.png&quot; , resources_dir : &quot;/tmp&quot; ) #=&gt; :ok","ref":"Resvg.html#svg_string_to_png/3","title":"Resvg.svg_string_to_png/3","type":"function"},{"doc":"Try to convert svg_string to a png buffer.. svg_string must be a valid svg file. opts refer to options must at least set the resources_dir key to a valid path. The functions return {:ok, buffer} in case of success. Otherise, it returns {:error, reason} if an error occurs. Examples svg_string = &quot; &lt;svg xmlns=&quot; http :// www . w3 . org / 2000 / svg &quot; viewBox=&quot; 0 0 20 20 &quot;&gt; &lt;rect width=&quot; 100 &quot; height=&quot; 100 &quot; /&gt; &lt;/svg&gt;&quot; Resvg . svg_string_to_png ( svg_string , &quot;output.png&quot; , resources_dir : &quot;/tmp&quot; ) #=&gt; {:ok, buffer}","ref":"Resvg.html#svg_string_to_png_buffer/2","title":"Resvg.svg_string_to_png_buffer/2","type":"function"},{"doc":"Try to convert the contents of in_svg to out_png . in_svg must be a path to a valid svg file. out_png must be a path to a non-existent file. options refer to options The functions return :ok in case of success. Otherise, it returns {:error, reason} if an error occurs. Examples Resvg . svg_to_png ( &quot;input.svg&quot; , &quot;output.png&quot; ) #=&gt; :ok Resvg . svg_to_png ( &quot;doesnotexist.svg&quot; , &quot;output.png&quot; ) #=&gt; {:error, &quot;Error loading svg file: No such file or directory (os error 2)&quot;}","ref":"Resvg.html#svg_to_png/3","title":"Resvg.svg_to_png/3","type":"function"},{"doc":"Options for Resvg.","ref":"Resvg.Options.html","title":"Resvg.Options","type":"module"},{"doc":"","ref":"Resvg.Options.html#t:image_rendering/0","title":"Resvg.Options.image_rendering/0","type":"type"},{"doc":"","ref":"Resvg.Options.html#t:resvg_options/0","title":"Resvg.Options.resvg_options/0","type":"type"},{"doc":"The options for resvg functions.","ref":"Resvg.Options.html#t:shape_rendering/0","title":"Resvg.Options.shape_rendering/0","type":"type"},{"doc":"","ref":"Resvg.Options.html#t:text_rendering/0","title":"Resvg.Options.text_rendering/0","type":"type"},{"doc":"All notable changes to this project will be documented in this file. The format is based on Keep a Changelog and this project adheres to Semantic Versioning .","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"","ref":"changelog.html#unreleased","title":"Changelog - [Unreleased]","type":"extras"},{"doc":"Thanks for considering to contribute to resvg_nif. ❤ Bug reports, feature suggestions, and pull requests for any open issues are very welcome. Issues can be reported on GitHub: https://github.com/mrdotb/resvg_nif/issues/new . Please read and follow our Code of Conduct .","ref":"contributing.html","title":"Contributing","type":"extras"},{"doc":"In order to setup the development environment you need to have some dependencies installed on your machine: git Rust Elixir Checkout the resvg_nif repository with $ git clone git@github.com:mrdotb/resvg_nif.git Then step into the project directory and install the dependencies with mix deps . get To force local compilation you need to set the env export RESVG_BUILD = 1","ref":"contributing.html#development-setup","title":"Contributing - Development setup","type":"extras"},{"doc":"Here’s how to contribute: Fork it ( https://github.com/mrdotb/resvg_nif/fork ) Create your feature branch (git checkout -b feature/my-new-feature) Commit your changes (git commit -am 'Add some feature') Push to the branch (git push origin feature/my-new-feature) Create a new Pull Request Try to add tests along with your new feature. This will ensure that your code does not break existing functionality and that your feature is working as expected. You can run the tests with: mix test If you’ve changed any Elixir code, please run Elixir’s code formatter before committing your changes: mix format This will keep the code style consistent and future code diffs as small as possible.","ref":"contributing.html#how-to-contribute","title":"Contributing - How to Contribute","type":"extras"},{"doc":"For detailed info about what needs to be done in order to publish a new version of the resvg package on hex.pm, please refer to the release flow section in the precompilation guide of rustler_precompiled . As a contributor, please keep in mind this project is free and open source software. Maintainers are not paid to work on it, so there might be times were the maintainers seem unresponsive. If you have that feeling, please be patient and be assured, that all team members try their best to review your contribution and reply to you as soon as their time allows.","ref":"contributing.html#publishing-a-new-package-version","title":"Contributing - Publishing a new package version","type":"extras"},{"doc":"","ref":"code_of_conduct.html","title":"Code of Conduct","type":"extras"},{"doc":"We as members, contributors, and leaders pledge to make participation in our community a harassment-free experience for everyone, regardless of age, body size, visible or invisible disability, ethnicity, sex characteristics, gender identity and expression, level of experience, education, socio-economic status, nationality, personal appearance, race, religion, or sexual identity and orientation. We pledge to act and interact in ways that contribute to an open, welcoming, diverse, inclusive, and healthy community.","ref":"code_of_conduct.html#our-pledge","title":"Code of Conduct - Our Pledge","type":"extras"},{"doc":"Examples of behavior that contributes to a positive environment for our community include: Demonstrating empathy and kindness toward other people Being respectful of differing opinions, viewpoints, and experiences Giving and gracefully accepting constructive feedback Accepting responsibility and apologizing to those affected by our mistakes, and learning from the experience Focusing on what is best not just for us as individuals, but for the overall community Examples of unacceptable behavior include: The use of sexualized language or imagery, and sexual attention or advances of any kind Trolling, insulting or derogatory comments, and personal or political attacks Public or private harassment Publishing others' private information, such as a physical or email address, without their explicit permission Other conduct which could reasonably be considered inappropriate in a professional setting","ref":"code_of_conduct.html#our-standards","title":"Code of Conduct - Our Standards","type":"extras"},{"doc":"Community leaders are responsible for clarifying and enforcing our standards of acceptable behavior and will take appropriate and fair corrective action in response to any behavior that they deem inappropriate, threatening, offensive, or harmful. Community leaders have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that are not aligned to this Code of Conduct, and will communicate reasons for moderation decisions when appropriate.","ref":"code_of_conduct.html#enforcement-responsibilities","title":"Code of Conduct - Enforcement Responsibilities","type":"extras"},{"doc":"This Code of Conduct applies within all community spaces, and also applies when an individual is officially representing the community in public spaces. Examples of representing our community include using an official e-mail address, posting via an official social media account, or acting as an appointed representative at an online or offline event.","ref":"code_of_conduct.html#scope","title":"Code of Conduct - Scope","type":"extras"},{"doc":"Instances of abusive, harassing, or otherwise unacceptable behavior may be reported to the community leaders responsible for enforcement by opening an issue or contacting one or more of the project maintainers. All complaints will be reviewed and investigated promptly and fairly. All community leaders are obligated to respect the privacy and security of the reporter of any incident.","ref":"code_of_conduct.html#enforcement","title":"Code of Conduct - Enforcement","type":"extras"},{"doc":"Community leaders will follow these Community Impact Guidelines in determining the consequences for any action they deem in violation of this Code of Conduct: 1. Correction Community Impact : Use of inappropriate language or other behavior deemed unprofessional or unwelcome in the community. Consequence : A private, written warning from community leaders, providing clarity around the nature of the violation and an explanation of why the behavior was inappropriate. A public apology may be requested. 2. Warning Community Impact : A violation through a single incident or series of actions. Consequence : A warning with consequences for continued behavior. No interaction with the people involved, including unsolicited interaction with those enforcing the Code of Conduct, for a specified period of time. This includes avoiding interactions in community spaces as well as external channels like social media. Violating these terms may lead to a temporary or permanent ban. 3. Temporary Ban Community Impact : A serious violation of community standards, including sustained inappropriate behavior. Consequence : A temporary ban from any sort of interaction or public communication with the community for a specified period of time. No public or private interaction with the people involved, including unsolicited interaction with those enforcing the Code of Conduct, is allowed during this period. Violating these terms may lead to a permanent ban. 4. Permanent Ban Community Impact : Demonstrating a pattern of violation of community standards, including sustained inappropriate behavior, harassment of an individual, or aggression toward or disparagement of classes of individuals. Consequence : A permanent ban from any sort of public interaction within the community.","ref":"code_of_conduct.html#enforcement-guidelines","title":"Code of Conduct - Enforcement Guidelines","type":"extras"},{"doc":"This Code of Conduct is adapted from the Contributor Covenant , version 2.0, available at https://www.contributor-covenant.org/version/2/0/code_of_conduct.html . Community Impact Guidelines were inspired by Mozilla's code of conduct enforcement ladder . For answers to common questions about this code of conduct, see the FAQ at https://www.contributor-covenant.org/faq . Translations are available at https://www.contributor-covenant.org/translations .","ref":"code_of_conduct.html#attribution","title":"Code of Conduct - Attribution","type":"extras"},{"doc":"Copyright (c) 2023 Mrdotb Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"},{"doc":"Native Implemented Function (NIF) bindings for the resvg library. About resvg from its documentation: resvg is an SVG rendering library. The core idea is to make a fast, small, portable SVG library with the goal to support the whole SVG spec.","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"The package can be installed by adding resvg_nif to your list of dependencies in mix.exs : def deps do [ { :resvg , &quot;~&gt; 0.1.0&quot; } ] end","ref":"readme.html#installation","title":"Overview - Installation","type":"extras"},{"doc":"Convert svg to png with: :ok = Resvg . svg_to_png ( &quot;input.svg&quot; , &quot;output.png&quot; ) svg_string = &quot;&quot;&quot; &lt;svg xmlns=&quot;http://www.w3.org/2000/svg&quot; fill=&quot;none&quot; viewBox=&quot;0 0 24 24&quot; stroke-width=&quot;1.5&quot; stroke=&quot;currentColor&quot;&gt; &lt;path stroke-linecap=&quot;round&quot; stroke-linejoin=&quot;round&quot; d=&quot;M2.25 15a4.5 4.5 0 004.5 4.5H18a3.75 3.75 0 001.332-7.257 3 3 0 00-3.758-3.848 5.25 5.25 0 00-10.233 2.33A4.502 4.502 0 002.25 15z&quot; /&gt; &lt;/svg&gt; &quot;&quot;&quot; :ok = Resvg . svg_string_to_png ( svg_string , &quot;output.png&quot; , resources_dir : &quot;/tmp&quot; )","ref":"readme.html#usage","title":"Overview - Usage","type":"extras"},{"doc":"Easiest way to get started and try more advanced example is is to run the Livebook.","ref":"readme.html#livebook-introduction","title":"Overview - Livebook introduction","type":"extras"},{"doc":"You can contribute to resvg_nif. Please check the CONTRIBUTING.md guide for more information. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to our CODE_OF_CONDUCT.md .","ref":"readme.html#contributing","title":"Overview - Contributing","type":"extras"},{"doc":"Copyright (c) 2023 Mrdotb This work is free. You can redistribute it and / or modify it under the terms of the MIT License. See the LICENSE.md file for more details.","ref":"readme.html#copyright-and-license","title":"Overview - Copyright and License","type":"extras"}]